# depends (debian) python3-gdbm
import dbm

def gdbm_iter_keys(dbpath):
    with dbm.open(dbpath, 'r') as db:
        k = db.firstkey()
        while k is not None:
            yield k, db.get(k)
            k = db.nextkey(k)

